//
//  DrawingSurface.h
//  TheOvalApp
//
//  Created by Benny Michielsen on 05/06/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class Oval;


@interface DrawingSurface : NSView {
	NSPoint startPoint;
	NSPoint endPoint;
	NSMutableArray *ovals;
	IBOutlet NSArrayController *ovalsController;
}
@property (readwrite, assign) NSMutableArray *ovals;
- (BOOL)equalToZeroPoint:(NSPoint )p;
- (NSRect)currentRect;
- (void)insertObject:(Oval *)o inOvalsAtIndex:(int)index;
- (void)removeObjectFromOvalsAtIndex:(int)index;

@end
