//
//  Oval.m
//  TheOvalApp
//
//  Created by Benny Michielsen on 05/06/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "Oval.h"


@implementation Oval

@synthesize ovalRect;

- (id)init:(NSRect)rect 
{
	[super init];
	[self setOvalRect:rect];
	return self;
}

- (id)initWithCoder:(NSCoder *)coder
{
	[super init];
	float x = [coder decodeFloatForKey:@"x"];
	float y = [coder decodeFloatForKey:@"y"];
	float width = [coder decodeFloatForKey:@"width"];
	float height = [coder decodeFloatForKey:@"heigth"];
	ovalRect.origin.x = x;
	ovalRect.origin.y = y;
	ovalRect.size.width = width;
	ovalRect.size.height = height;
	return self;
}

- (void)encodeWithCoder:(NSCoder *)coder
{
	[coder encodeFloat:ovalRect.origin.x forKey:@"x"];
	[coder encodeFloat:ovalRect.origin.y forKey:@"y"];
	[coder encodeFloat:ovalRect.size.width forKey:@"width"];
	[coder encodeFloat:ovalRect.size.height forKey:@"heigth"];
}



@end
